#include <gtk/gtk.h>

#include "main.h"
#include "support.h"


int
main(int argc, char* argv[])
{
	/* commandline option handling */
	if (argc != 2) {
		g_print("cropper -- a crop frontend to convert\n");
		g_print("usage: cropper IMAGE\n");
		return 1;
	}

	image_filename = argv[1];

/*
	gtk_set_locale();
*/
	gtk_init(&argc, &argv);

/*
	add_pixmap_directory("/usr/share/pixmaps");
*/

	cropper_window = create_cropper_window();
	gtk_widget_show(cropper_window);
	gtk_main();

	return 0;
}

